/*
 * @Author: weisheng
 * @Date: 2023-04-17 12:51:22
 * @LastEditTime: 2023-04-20 15:01:53
 * @LastEditors: weisheng
 * @Description:
 * @FilePath: \uniapp-vue3-fant-ts\src\api\DemoApi.ts
 * 记得注释
 */
import http from '@/http/HttpClient';
import BaseResponse from '@/model/BaseResponse';
import Chanel from '@/model/Chanel';
import UserInfo from '@/model/UserInfo';
// 这里将API方法统一管理
export default class DemoApi {
  // 采购管理  表单配置信息
  static getConfig(data): Promise<BaseResponse<Chanel[]>> {
    return http.server().get('visual-api/paas/visualdev/OnlineDev/' + data + '/Config')
      .then((res) => {
        return res;
      });
  }

  // 采购管理-项目列表
  static getProjectList(): Promise<BaseResponse<Chanel[]>> {
    return http.server().get('bi-api/report/dataapi/project_info').then((res) => {
        return res;
      });
  }

  // 采购管理-表单数据列表
  static getFormList(data): Promise<BaseResponse<Chanel[]>> {
    return http.server().post('bi-api/cube/browser/'+ data.dbLinkId,data.form).then((res) => {
        return res.data;
      });
  }
 //编辑数据
  static editData(data): Promise<BaseResponse<Chanel[]>> {
    return http
      .server()
      .put(
        'visual-api/paas/visualdev/OnlineDev/v2/' +
          data.formKey +
          '/' +
          data.id,
        data.data
      )
      .then((res) => {
        return res.data;
      })
  }
}
